Re: Problems during "configure" on a Fedora Core 5

From: Paul H. Hargrove (PHHargrove_at_lbl_dot_gov)
Date: Thu Jun 22 2006 - 09:50:52 PDT

  • Next message: Personal Técnico DACSO: "Re: Problems during "configure" on a Fedora Core 5"
    Please try either the .tar.gz or .src.rpm versions of the 2006_06_13 
    snapshot available at http://mantis.lbl.gov/blcr-dist/ ,which should fix 
    compilation problems w/ 2.6.14 through 2.6.16.  Let us know if you still 
    have problems
    
    -Paul
    
    Personal Técnico DACSO wrote:
    
    > Good morning,
    >
    > We are trying to compile BLCR-0.4.2 on a Fedora Core 5 system, with 
    > GCC 4.1.1 and GLIBC 2.4.8.
    > When we execute "./configure 
    > --with-linux=/usr/src/kernels/2.6.16-1.2133_FC5-i686 
    > --with-system-map=/boot/System.map-2.6.16-1.2133_FC5 
    > --with-vmlinux=/boot/vmlinuz-2.6.16-1.2133_FC5" we get the following 
    > error:
    >
    > checking size of void *... 4
    > checking for Linux kernel 2.6 source directory... /usr/src/linux (base 
    > version 2.6.16)
    > checking for Linux kernel 2.6 build directory... /usr/src/linux 
    > (version 2.6.16-1.2133_FC5)
    > checking for parameters to interface GNU automake with Linux kbuild... 
    > ok - Linux 2.6
    > checking for flags to compile Linux kernel modules... ok
    > checking for Linux kernel symbol table... 
    > /boot/System.map-2.6.16-1.2133_FC5
    > checking for SMP kernel source... no
    > checking for SMP kernel symbol table... no
    > *checking kernel for linux/sched.h... no    *
    > ======================================================================
    > Please review the following configuration information:
    >  Kernel source directory = /usr/src/linux
    >  Kernel build directory = /usr/src/linux
    >  Kernel symbol table = 
    > /boot/System.map-2.6.16-1.2133_FC5/boot/vmlinuz-2.6.16-1.2133_FC5
    >  Kernel version probed from kernel build = 2.6.16-1.2133_FC5
    >  Kernel running currently = 2.6.16-1.2133_FC5
    > ======================================================================
    > *configure: error: Unable to use kernel 2.6.16-1.2133_FC5 - appears 
    > incompatible with CC='gcc' gcc (GCC) 4.1.1 20060525 (Red Hat 4.1.1-1)*  
    > Could you help us?
    >
    > Thanks.
    >
    > Best regards.
    >
    > -- CTS (CAOS Technical Staff)--
    > University Autonoma of Barcelona
    >
    >
    >
    >
    

  • Next message: Personal Técnico DACSO: "Re: Problems during "configure" on a Fedora Core 5"